---

Purism Releases Meltdown and Spectre Patches for Its Librem Linux Laptops

The company was one of the first Linux OEMs and OS vendor to announce that it’s working on addressing both the Meltdown and Spectre security exploits on his Linux laptops. Meltdown and Spectre have been unearthed in early January and they are two severe hardware bugs that put billions of devices at risk of attacks. It took a bit longer than expected, but the patches for Meltdown and one variant of the Spectre security vulnerability, which is harder to fix then Meltdown, are now available for all Librem 13 and Librem 15 users using the PureOS Linux operating system. Purism says that these patches will also be available in all new Librem laptops.